searchData={"items":[{"type":"module","title":"Safetensors","doc":"[Safetensors](https://huggingface.co/docs/safetensors/index) implementation for `Nx`.","ref":"Safetensors.html"},{"type":"module","title":"Examples - Safetensors","doc":"iex> x = Nx.tensor([1, 2, 3])\n    iex> y = Nx.tensor([1.0, 2.0, 3.0])\n    iex> tensors = %{\"x\" => x, \"y\" => y}\n    iex> data = Safetensors.dump(tensors)\n    iex> tensors = Safetensors.load!(data)\n    iex> tensors[\"x\"]\n    #Nx.Tensor \n    iex> tensors[\"y\"]\n    #Nx.Tensor","ref":"Safetensors.html#module-examples"},{"type":"function","title":"Safetensors.dump/1","doc":"Serializes the given map of tensors to iodata.\n\n`iodata` is a list of binaries that can be written to any IO device,\nsuch as a file or a socket. You can ensure the result is a binary by\ncalling `IO.iodata_to_binary/1`.","ref":"Safetensors.html#dump/1"},{"type":"function","title":"Safetensors.load!/1","doc":"Loads a serialized map of tensors.\n\nIt is the opposite of `dump/1`.","ref":"Safetensors.html#load!/1"},{"type":"function","title":"Safetensors.read!/2","doc":"Reads a serialized map of tensors from a file.\n\nTensors are loaded into Nx one by one, without the need to load the\nentire file from disk into memory.","ref":"Safetensors.html#read!/2"},{"type":"function","title":"Options - Safetensors.read!/2","doc":"* `:lazy` - when `true`, instead of returning tensors, the function\n    returns lazy containers. Such a container can be converted to a\n    tensor using `Nx.to_tensor/1` and it is only at that point that\n    it is read from the file. Defaults to `false`","ref":"Safetensors.html#read!/2-options"},{"type":"function","title":"Safetensors.write!/2","doc":"Writes a map of tensors to a file.\n\nTensors are written into the file one by one, without the need to\ndump all of them into the memory at once.","ref":"Safetensors.html#write!/2"}],"content_type":"text/markdown"}